문서로 건너뛰기
API

지식 항목 다시 읽기

링크를 다시 가져오거나, 파일을 다시 읽거나, 메모를 다시 색인합니다.

POST/knowledge/{id}/refresh

워크스페이스에 실제 호출을 실행합니다.

POST /knowledge/{id}/refresh

링크를 다시 가져오거나, 파일을 다시 읽거나, 메모를 다시 색인합니다.

예시

knowledge:write가 필요합니다. 실패를 지우고 항목을 queued로 되돌립니다. 새 텍스트가 준비될 때까지 이전 텍스트를 계속 씁니다.

curl
curl -X POST "$OE/knowledge/kb_3e7b1d9a4c2f80e6b5a1c47d/refresh" -H "$AUTH"
응답
{  "object": "knowledge_item",  "id": "kb_3e7b1d9a4c2f80e6b5a1c47d",  "kind": "link",  "scope": "",  "level": "workspace",  "title": "https://acme.com/shipping",  "url": "https://acme.com/shipping",  "fileName": null,  "mimeType": null,  "sizeBytes": null,  "pinned": false,  "status": "queued",  "failure": null,  "chunks": 0,  "chars": 0,  "origin": "api",  "createdBy": "usr_5f2a9c71",  "createdAt": "2026-10-08T09:14:02.000Z",  "updatedAt": "2026-10-08T09:14:02.000Z",  "indexedAt": null}

항목을 두 번 다시 읽어도 상태가 같으므로 재시도해도 안전합니다.

레퍼런스